Bug 812323 - missing telepathy is causing errors in gnome-shell
missing telepathy is causing errors in gnome-shell
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: beta
: ---
Assigned To: Florian Müllner
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 07:41 EDT by Vladimir Benes
Modified: 2014-06-18 01:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:18:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-04-13 07:41:00 EDT
Description of problem:
When running beaker tests I can see this error:
      JS LOG: GNOME Shell started at Thu Apr 12 2012 13:40:50 GMT-0400 (EDT)
    JS ERROR: !!!   Exception was: Error: Error invoking TelepathyGLib.prepare_finish: The name org.freedesktop.Telepathy.AccountManager was not provided by any .service files
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = '"gjs_throw"'
    JS ERROR: !!!     stack = '"("Error invoking TelepathyGLib.prepare_finish: The name org.freedesktop.Telepathy.AccountManager was not provided by any .service files")@gjs_throw:0
([object _private_TelepathyGLib_AccountManager],[object _private_Gio_SimpleAsyncResult])@/usr/share/gnome-shell/js/ui/telepathyClient.js:371
"'
    JS ERROR: !!!     message = '"Error invoking TelepathyGLib.prepare_finish: The name org.freedesktop.Telepathy.AccountManager was not provided by any .service files"'

Version-Release number of selected component (if applicable):
gnome-shell-3.2.1-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. clone this job:
 https://beaker.engineering.redhat.com/jobs/clone?job_id=216928
  
Actual results:
errors in log

Expected results:
no errors

Additional info:
Comment 1 Matthias Clasen 2012-10-12 21:31:51 EDT
gnome-shell is still working though, right ?
At least it does now, for me.
The error message is accurate in so far as it correctly describes that org.freedesktop.Telepathy.AccountsManager is not available.
Comment 5 Michael Boisvert 2014-01-23 14:19:18 EST
I just started the job on Snap4, I'll post results.
Comment 6 Michael Boisvert 2014-01-27 15:24:01 EST
With a clean install of RHEL7.0, I restarted gnome-shell within a terminal. The telepathy errors are no longer present.

Verified.
Comment 7 Ludek Smid 2014-06-13 06:18:32 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.